Holger's Java API

## com.antelmann.cddb
Class CDDBRecord

    java.lang.Object
      com.antelmann.cddb.CDDBRecord

All Implemented Interfaces:
  Serializable

    public class CDDBRecord

extends Object
implements Serializable

Represents a unique entry in a CDDB database.

This CDDBRecord object can be used to read the content from a CDDB in form of a CDInfo object.

Author:
  Holger Antelmann
See Also:
  `CDDB`, `CDInfo`, Serialized Form

Constructor Summary
`CDDBRecord(String category, String discid, String title)` produces an exact match record with the given parameters; the order of the parameters is according to the output of the CDDB protocol.
`CDDBRecord(String category, String discid, String title, boolean exactMatch)` initializes a record that can be used to query CDDB for this entry.

Method Summary
`boolean` `equals(Object obj)`
`String` `getCategory()` returns the category under which this record is filed
`String` `getDiscID()` returns the DiscID that can be used to match the record with a CDID object
`String` `getTitle()` returns the title of this record
`int` `hashCode()` hashes the discID
`boolean` `isExactMatch()` relevant only when derived from a CDDB query: returns whether the CDDBRecord was the result of an exact match of the CD used for the query.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDDBRecord

    public CDDBRecord(String category,
                      String discid,
                      String title)

  produces an exact match record with the given parameters; the order of the parameters is according to the output of the CDDB protocol.

### CDDBRecord

    public CDDBRecord(String category,
                      String discid,
                      String title,
                      boolean exactMatch)

  initializes a record that can be used to query CDDB for this entry. The exactMatch property is only relevant when the instance is created through a CDDB query.

  See Also:
    `CDDB.queryCD(CDID)`

Method Detail

### getTitle

    public String getTitle()

  returns the title of this record

### getCategory

    public String getCategory()

  returns the category under which this record is filed

### getDiscID

    public String getDiscID()

  returns the DiscID that can be used to match the record with a CDID object

  See Also:
    `CDID.getDiscID()`

### isExactMatch

    public boolean isExactMatch()

  relevant only when derived from a CDDB query: returns whether the CDDBRecord was the result of an exact match of the CD used for the query.

  See Also:
    `CDDB.queryCD(CDID)`

### hashCode

    public int hashCode()

  hashes the discID

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads